/*
* file CcRolemapEntry.java
*
* Licensed Materials - Property of IBM
* Restricted Materials of IBM
* 
* com.ibm.rational.wvcm.stp.cc.CcRolemapEntry
*
* (C) Copyright IBM Corporation 2012.  All Rights Reserved. 
* Note to U.S. Government Users Restricted Rights:  Use, duplication or  
* disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
*/
package com.ibm.rational.wvcm.stp.cc;

import com.ibm.rational.wvcm.stp.cc.CcAccessControlEntry.PrincipalKind;

/**
 * <p>
 * An rolemap entry provides a binding between a policy role and a principal
 * as part of the definition of a rolemap.
 * <p>
 * This interface provides an aggregate object for handling such an entry.
 * </p>
 */
public interface CcRolemapEntry {
    
    /**
     * Get the kind of principal for the identity.
     */
    public PrincipalKind getPrincipalKind();
    
    /**
     * Get the principal name for the entry.  Includes domain name when applicable
     */
    public String getPrincipalName();
    
    /**
     * Get the role name for this entry.
     */
    public String getRole();

}
